Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.remoting
Class CallbackManager

    java.lang.Object
      org.jboss.jms.client.remoting.CallbackManager

public class CallbackManager
extends java.lang.Object

A CallbackManager. The CallbackManager is an InvocationHandler used for handling callbacks to message consumers The callback is received and dispatched off to the relevant consumer

Version:
  1.1 CallbackManager.java,v 1.1 2006/02/01 17:38:30 timfox Exp
Author:
  Tim Fox

Field Summary
`protected java.util.Map` | `callbackHandlers`

Constructor Summary
`CallbackManager()`

Method Summary
`void` | `addListener(InvokerCallbackHandler arg0)`
`java.lang.Object` | `invoke(InvocationRequest ir)`
`void` | `registerHandler(int consumerID, MessageCallbackHandler handler)`
`void` | `removeListener(InvokerCallbackHandler arg0)`
`void` | `setInvoker(ServerInvoker arg0)`
`void` | `setMBeanServer(MBeanServer arg0)`
`void` | `unregisterHandler(int consumerID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callbackHandlers

    protected java.util.Map callbackHandlers

Constructor Detail

### CallbackManager

    public CallbackManager()

Method Detail

### registerHandler

    public void registerHandler(int consumerID,
                                MessageCallbackHandler handler)

### unregisterHandler

    public void unregisterHandler(int consumerID)

### addListener

    public void addListener(InvokerCallbackHandler arg0)

### invoke

    public java.lang.Object invoke(InvocationRequest ir)
                            throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### removeListener

    public void removeListener(InvokerCallbackHandler arg0)

### setInvoker

    public void setInvoker(ServerInvoker arg0)

### setMBeanServer

    public void setMBeanServer(MBeanServer arg0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.